#
# spec file for package skelcd-control-SLES
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


######################################################################
#
# IMPORTANT: Please do not change the control file or this spec file
#   in build service directly, use
#   https://github.com/yast/skelcd-control-SLES repository
#
#   See https://github.com/yast/skelcd-control-SLES/blob/master/CONTRIBUTING.md
#   for more details.
#
######################################################################

Name:           skelcd-control-SLES
# xmllint (for validation)
BuildRequires:  libxml2-tools
# RNG validation schema
BuildRequires:  yast2-installation-control >= 3.1.9

######################################################################
#
# Here is the list of Yast packages which are needed in the
# installation system (inst-sys) for the Yast installer
#

# SLES specific Yast packages needed in the inst-sys
# to provide the functionality needed by this control file
Requires:       yast2-registration
Requires:       yast2-theme-SLE

# Generic Yast packages needed for the installer
Requires:       autoyast2
Requires:       yast2-add-on
Requires:       yast2-buildtools
Requires:       yast2-devtools
Requires:       yast2-fcoe-client
# For creating the AutoYast profile at the end of installation (bnc#887406)
Requires:       yast2-firewall
Requires:       yast2-installation >= 3.1.44
Requires:       yast2-iscsi-client
Requires:       yast2-kdump
Requires:       yast2-multipath
Requires:       yast2-network >= 3.1.42
Requires:       yast2-nfs-client
Requires:       yast2-ntp-client
Requires:       yast2-proxy
Requires:       yast2-services-manager
Requires:       yast2-slp
Requires:       yast2-trans-stats
Requires:       yast2-tune
Requires:       yast2-update
Requires:       yast2-users
Requires:       yast2-x11

# Architecture specific packages
#
%ifarch s390 s390x
Requires:       yast2-reipl >= 3.1.4
%endif

%ifarch %ix86 x86_64
Requires:       yast2-vm
%endif

#
######################################################################

Url:            https://github.com/yast/skelcd-control-SLES
AutoReqProv:    off
Version:        12.0.48
Release:        1.1
Summary:        SLES control file needed for installation
License:        MIT
Group:          Metapackages
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         %{name}-%{version}.tar.bz2

%description
SLES control file needed for installation

%prep

%setup -n %{name}-%{version}

%check
#
# Verify syntax
#
make -C control check

%install
#
# Add control file 
#
mkdir -p $RPM_BUILD_ROOT/CD1
install -m 644 control/control.SLES.xml $RPM_BUILD_ROOT/CD1/control.xml

# install LICENSE (required by build service check)
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/share/doc/packages/%{name}
install -m 644 LICENSE $RPM_BUILD_ROOT/%{_prefix}/share/doc/packages/%{name}

%files
%defattr(644,root,root,755)
/CD1
%doc %dir %{_prefix}/share/doc/packages/%{name}
%doc %{_prefix}/share/doc/packages/%{name}/LICENSE

%changelog
* Tue Apr  5 2016 igonzalezsosa@suse.com
- Automatically update the installer in the initial stage of:
  installation, update, autoinstallation and autoupgrade.
  Not affected: live_installation. (FATE#319716).
- 12.0.48
* Mon Mar  7 2016 mvidner@suse.com
- Added a System Role step in the installation (FATE#317481).
- 12.0.47
* Tue Sep 30 2014 ancor@suse.com
- Enabled "change hostname via DHCP" by default (bnc#870896)
- 12.0.46
* Thu Sep 18 2014 locilka@suse.com
- removed firewall_stage1 from AutoYast confirmation (proposal)
  screen (bnc#894130)
- 12.0.45
* Thu Sep 11 2014 lslezak@suse.cz
- note: previous fix is for bnc#896021
- 12.0.44
* Wed Sep 10 2014 behlert@suse.de
- use correct gnome pattern for upgrade, too
* Fri Sep  5 2014 fcrozat@suse.com
- Update GNOME pattern name
- 12.0.43
* Thu Aug 21 2014 lslezak@suse.cz
- clone registration settings to autoinst.xml (bnc#892449)
- 12.0.42
* Mon Aug  4 2014 locilka@suse.com
- Added yast2-firewall to inst-sys dependencies - required for
  creating the AutoYast profile at the end of installation
  (bnc#887406)
- 12.0.41
* Thu Jul  3 2014 locilka@suse.com
- Removed print_server pattern from patterns selected by default
  (bnc#885685)
- 12.0.40
* Wed Jun 25 2014 jreidinger@suse.com
- return back proposal entry for autoyast clonning (bnc#881108)
- 12.0.39
* Tue Jun 24 2014 jreidinger@suse.com
- by default do not use os-prober on SLES (bnc#884007)
- 12.0.38
* Mon Jun 23 2014 jreidinger@suse.com
- remove non-existing client from auto-upgrade workflow
- 12.0.37
* Thu Jun 12 2014 lslezak@suse.com
- revert the addon removal, make the workflow less confusing
  (bnc#880507)
- 12.0.36
* Wed May 21 2014 jreidinger@suse.com
- remove calling reipl_auto as it is called from bootloader
  already
- 12.0.35
* Tue May 20 2014 jreidinger@suse.com
- remove addon client as it is now run from scc client
- 12.0.34
* Fri May 16 2014 locilka@suse.com
- Default desktop pattern '32bit' that doesn't exist on some
  architectures has been moved from desktops to
  software->optional_default_patterns to prevent from being
  reported as missing (bnc#876760)
- 12.0.33
* Thu May 15 2014 locilka@suse.com
- Added handling for upgrading default desktop using
  software->upgrade->window_managers (bnc#874116)
- 12.0.32
* Tue May 13 2014 jreidinger@suse.com
- Upgrade: Migrate to Grbu2 also on s390 (bnc#877324)
- 12.0.31
* Fri May  9 2014 jsrain@suse.cz
- download release notes for add-ons (bnc#876700)
- 12.0.30
* Fri May  2 2014 jreidinger@suse.com
- Fix typo as pattern is 'Minimal'
- 12.0.29
* Wed Apr 30 2014 locilka@suse.com
- Explicitly selecting patterns 'base' and 'minimal' for
  installation (bnc#875350)
- 12.0.28
* Wed Apr 23 2014 locilka@suse.com
- Pattern 64bit has been removed from media (bnc#874740)
- 12.0.27
* Thu Apr 10 2014 locilka@suse.com
- Installation media removed from update proposal (bnc#869657)
- 12.0.26
* Tue Apr  8 2014 jreidinger@suse.com
- system upgrade: propose new bootloader configuration due to
  migration to grub2 (bnc#872081)
- 12.0.25
* Fri Apr  4 2014 jreidinger@suse.com
- system upgrade: don't call obsolete bootloader code for lilo and
  hdX (bnc#872081)
- 12.0.24
* Thu Apr  3 2014 jreidinger@suse.com
- setup network for upgrade workflow (bnc#871178)
- 12.0.23
* Thu Apr  3 2014 locilka@suse.com
- Adapted software upgrade behavior to SLES 12 (bnc#871174)
- 12.0.22
* Wed Apr  2 2014 jreidinger@suse.com
- enable sshd by default on SLES (bnc#865056)
- 12.0.21
* Tue Apr  1 2014 lslezak@suse.cz
- fixed product regexp to allow pattern based upgrade from SLES11
  (bnc#871174)
- 12.0.20
* Tue Apr  1 2014 locilka@suse.com
- Removed second stage definition for upgrade (bnc#870437)
- 12.0.19
* Mon Mar 31 2014 fcrozat@suse.com
- "GNOME SLE Classic" is known as "sle-classic" now
- 12.0.18
* Mon Mar 31 2014 jreidinger@suse.com
- have complete autoyast2 in inst-sys otherwise cloning in first
  stage won't work (bnc#869175)
- 12.0.17
* Wed Mar 26 2014 lslezak@suse.cz
- upgrade: removed checkmedia step (moved to boot menu)
- upgrade: added registration step (bnc#869651)
- 12.0.16
* Tue Mar 18 2014 aschnell@suse.de
- set btrfs_increase_percentage to 300 (bnc#868246)
- 12.0.15
* Thu Mar  6 2014 locilka@suse.com
- Removed x86 pattern from default desktop selection (bnc#866724)
- Fixed packages to identify a selected desktop - using package
  that defines the gnome pattern (bnc#866724)
- 12.0.14
* Thu Feb 27 2014 mfilka@suse.com
- added reference to linuxrc network configuration client
- 12.0.13
* Wed Feb 26 2014 jreidinger@suse.com
- add cio ignore proposal for s390 (FATE#315586)
- dependency on recent yast2-installation including cio ignore
  proposal client
- 12.0.12
* Thu Feb 20 2014 jreidinger@suse.com
- remove suseconfig script from autoyast work-flow as it no longer
  exists (BNC#864860)
- 12.0.11
* Tue Feb 18 2014 locilka@suse.com
- Added icewm as another supported desktop
- Added gnome-shell package to be required by gnome desktop
- Both (bnc#862756)
- 12.0.10
* Mon Feb 17 2014 locilka@suse.com
- Removed gdm and gnome-shell-classic packages from required
  packages as they are recommended by patterns (bnc#862756)
- 12.0.9
* Mon Feb 17 2014 locilka@suse.com
- Removed all unused desktops (bnc#864295)
- 12.0.8
* Fri Jan 31 2014 lslezak@suse.cz
- create a non-root user at installation (bnc#861079)
- fixed some dependencies (BuildRequires -> Requires)
- removed yast2-trans-allpacks dependency
- 12.0.7
* Wed Jan 29 2014 fcrozat@suse.com
- ensure gnome classic mode is used by default
- 12.0.6
* Wed Jan 29 2014 lslezak@suse.cz
- removed openSUSE theme dependency
- 12.0.5
* Wed Jan 29 2014 lslezak@suse.cz
- install LICENSE (to pass the build service check)
- 12.0.4
* Fri Jan 24 2014 lslezak@suse.cz
- added yast2-registration to Requires to add it into SLES inst-sys
- 12.0.3
* Fri Jan 24 2014 jreidinger@suse.com
- Add firewall proposal same as in opensuse
- 12.0.2
* Thu Jan 23 2014 lslezak@suse.cz
- added missing root password dialog
- added registration and root password to live installation
- move "system" item in the installation proposal to bottom
- 12.0.1
* Thu Jan 23 2014 jsrain@suse.cz
- adjusted live workflow according to new installer (no 2nd stage)
  (fate#316202)
* Fri Jan 17 2014 lslezak@suse.cz
- the development has been moved to Yast Gihub
  (https://github.com/yast/skelcd-control-SLES),
  the package is autosumbmitted by Jenkins CI
- removed "magic" get_version_number.sh script (use static
  versioning as usual) (the script was not compatible with Yast
  workflow at Jenkins)
- version 12.0.0
* Wed Jan 15 2014 behlert@suse.de
- added password dialogs again
* Tue Jan 14 2014 lslezak@suse.cz
- removed calling inst_mode during upgrade (by locilka)
- fix validation of control.xml (by jreidinger)
- remove server scenarios as they will be replaced by roles when
  someone defines them (by jreidinger)
- make full summary for autoinstallation to allow user modify it
  (by jreidinger)
- added partitioning/btrfs_default_subvolume (by aschnell)
* Tue Dec 10 2013 lslezak@suse.cz
- added SCC client for registering the system
- version 2013.12.10
* Thu Dec  5 2013 ro@suse.de
- update file from yast master git
* Fri Nov 15 2013 ro@suse.de
- add id to copy_to_system_item node in control.xml (fix build)
* Wed Apr 10 2013 kukuk@suse.de
- Set some variables back to SLES default
* Wed Apr 10 2013 kukuk@suse.de
- Use Factory control.xml for Devel:SLE-12:Factory
* Fri Mar  1 2013 jsuchome@suse.cz
- make the "Check drivers" error message depend on control.xml
  variable (fate#312875, bnc#805251)
* Fri Dec 21 2012 jsuchome@suse.cz
- added KVM installation scenario (bnc#795067)
* Mon Jan  9 2012 locilka@suse.cz
- Added ntp-client into list of cloned modules (bnc #738019).
* Mon Oct 31 2011 jsuchome@suse.cz
- save ecdsa keys as well (bnc#726468)
* Fri Oct  7 2011 jsrain@site
- updated URL in the congratulation dialog (bnc#720481)
* Fri Jul  8 2011 jsrain@suse.cz
- adaptations for unattended migration (fate#310481)
* Fri Mar 12 2010 locilka@suse.cz
- Only upgrade packages if upgrading from SLES 11, otherwise use
  patterns for upgrade (BNC #587544).
* Tue Mar  2 2010 locilka@suse.cz
- CIM service is proposed as disabled by default (BNC #584524).
* Thu Jan 28 2010 kmachalkova@suse.cz
- Added missing <label> to network services proposal (a default
  "Installation Overview" was used instead - bnc#572654)
* Wed Dec  9 2009 locilka@suse.cz
- Enabled CIM service by default in newly added services proposal
  (FATE #305583)
- Package kde4-kdm has been renamed to kdm (SLES, SLED control
  files) (bnc #561627)
* Tue Nov 10 2009 kmachalkova@suse.cz
- New variable in globals: run_init_scripts_in_parallel, to set
  /etc/sysconfig/boot:RUN_PARALLEL (FaTE#307555)
* Fri Nov  6 2009 jsrain@suse.de
- defined live installation workflow (fate#308308)
* Mon Jan 26 2009 locilka@suse.cz
- Disabling [Back] buttons in the very first interactive dialogs
  in second stage (bnc #468677).
* Fri Dec 19 2008 locilka@suse.cz
- Pattern WBEM added into two server scenarios (bnc #458332).
* Fri Dec  5 2008 locilka@suse.cz
- Using new control file validation - control.rng (bnc #455994)
* Fri Nov 28 2008 locilka@suse.cz
- Update Installation Scenarios labels (bnc #428202).
* Thu Nov 20 2008 locilka@suse.cz
- Added shadow desktops to have a fallback if user selects some
  other desktop than the default one (bnc #446640).
* Tue Nov 11 2008 juhliarik@suse.cz
- Changed order (summary) of yast modules in Expert tab
  (bnc #441434)
* Mon Oct 27 2008 locilka@suse.cz
- Added 'kdump' to 'clone_modules' (SLES) (bnc #436365).
- Calling inst_prepareprogress also during Upgrade, all control
  files changed (bnc #438848).
* Fri Oct 17 2008 locilka@suse.cz
- Added software->display_support_status flag (bnc #435479).
* Fri Oct 17 2008 locilka@suse.cz
- Default desktop changed to 'gnome' the be written at the end
  of the installation (bnc #436094).
* Mon Oct 13 2008 locilka@suse.cz
- Enabled going_back in Add-Ons during installation (bnc #434735).
* Wed Oct  8 2008 locilka@suse.cz
- Added globals->polkit_default_privs="restrictive" to protect
  system from anybody being able to shut it down with gdm
  (bnc #431158).
- Removed dummy desktop selected by inst_scenarios. That script
  uses new PackagesProposal module and resets the DefaultDesktop to
  no desktop and no required patterns, dummy desktop is not needed
  anymore (bnc #432572, bnc #431902).
- Changing desktop name to an empty label as there are no other
  desktops available anyway (bnc #431336).
- Adjusting presentation_order for proposal_modules (bnc #431580).
* Thu Oct  2 2008 locilka@suse.cz
- Added 'default_ntp_setup' (false) (bnc #431259).
- Using two default desktops, one for inst_scenarios, another
  one (default) while inst_scenarios not used (bnc #431251,
  bnc #431503).
* Wed Oct  1 2008 locilka@suse.cz
- Changing pattern "Documentation" to "documentation" (bnc #431218)
* Tue Sep 30 2008 locilka@suse.cz
- Replacing "networkmanager" proposal call with "general"
  (bnc #430704).
* Mon Sep 29 2008 locilka@suse.cz
- Server scenarios work for i386, x86_64 archs only (bnc #430612).
* Mon Sep 29 2008 kukuk@suse.de
- Replaced Minimal+Xen with Dom0.
- Removed xen_server from virtualization machine (bnc #429061).
- Added "XEN" suffix to Virtualization Host.
* Mon Sep 29 2008 locilka@suse.cz
- Adding inst_lilo_convert to the update workflow (bnc #430579).
* Thu Sep 18 2008 locilka@suse.cz
- Definition of supported desktops added into SLES and SLED control
  files, added also default_desktop definition (bnc #427061).
* Wed Sep 10 2008 locilka@suse.cz
- <execute> tag must mention the exact name of a script to call
  (bnc #425198).
* Mon Sep  8 2008 locilka@suse.cz
- Fixed partitioning sizes (G -> GB) (aschnell)
- Added more modules to the 'clone' section (ug).
* Wed Sep  3 2008 locilka@suse.cz
- Updated control files to call inst_prepareprogress to
  "Provide consistent progress during installation" (FATE #303860).
- All 'inst_proposal' calls changed to use the new 'execute'
  feature to have unique 'name's (needed for merging add-on control
  files).
* Tue Aug 19 2008 kukuk@suse.de
- Add patterns for the differnt workloads.
* Fri Aug 15 2008 locilka@suse.cz
- Added new globals->write_hostname_to_hosts control file option
  to configure the default for 127.0.0.2 issue (FATE #303875).
* Tue Aug 12 2008 locilka@suse.cz
- Configuration of files that will be imported from previous
  installation has been moved to control file (FATE #305019).
* Thu Aug  7 2008 locilka@suse.cz
- Added enable_kdump variable that defines the default value
  whether kdump is proposed to be enabled (FATE: #303893).
- Calling reiplauto client after rpmcopy (on s390) (FATE #304940).
- Added server scenarios definitions (FATE #304373).
* Thu Jul 24 2008 locilka@suse.cz
- Adapted to features added in 11.0
* Thu Dec 13 2007 locilka@suse.cz
- Added a possibility to stop and disable the ZMD service in the
  last (congratulate) dialog of installation (FATE #302495).
- Adjusted the inst_congratulate module arguments
  'show_zmd_turnoff_checkbox' (true) and
  'zmd_turnoff_default_state' (false, S/390 and S/390x true).
* Wed Sep  5 2007 jsrain@suse.cz
- removed inst_fam (#307378)
* Mon Oct 16 2006 locilka@suse.cz
- Root Password dialog moved before Hostname and Domain Name
  (#208032).
- new inst_extrasources.ycp client - add extra installation sources
  during installation (in 2nd stage, after online update)
  (fate #100168, #300910) (lslezak)
* Fri May  5 2006 jsrain@suse.cz
- added congratulate text to the control file (#170881)
* Tue Apr 25 2006 jsrain@suse.cz
- fixed service proposal in SLES control file (#159771)
* Thu Apr 20 2006 mvidner@suse.cz
- added globals/disable_register_w3m (#167255, jdsn)
* Fri Apr 14 2006 jsrain@suse.cz
- removed update system selection from update proposal (#165832)
- added add-on products to installation/update proposals
* Thu Apr 13 2006 jsrain@suse.cz
- changed control files according to (#165509
* Wed Apr 12 2006 mvidner@suse.cz
- Control files updated for manual online update run (#165503).
* Tue Apr 11 2006 fehr@suse.de
- use updated version of control.SLES.xml from yast2 svn to enable
  evms again
* Tue Apr  4 2006 jsrain@suse.cz
- removed register section
* Wed Mar 29 2006 mvidner@suse.cz
- Added register/display_register_forcereg (jdsn).
* Thu Mar 23 2006 mvidner@suse.cz
- Added register/enable_register_{hwdata,optional}.
* Wed Mar 22 2006 kukuk@suse.de
- Readd changes for keyboard and software section in proposal
- Base selection is "default"
* Thu Mar 16 2006 jsrain@suse.cz
- increase maximal size of root fs to 20 Gig (#158608)
- added zFCP and DASD modules to list of modules to be cloned after
  SLES installation (#153378)
* Tue Mar 14 2006 jsrain@suse.cz
- changed title for registration in installation workflow
* Tue Mar 14 2006 kukuk@suse.de
- Add keyboard section to installation proposal Overview and
  make software selection the long version.
* Thu Mar  9 2006 mvidner@suse.cz
- added network/startmode=auto (#156388).
* Tue Mar  7 2006 jsrain@suse.cz
- adapted for online update (jdsn)
* Wed Mar  1 2006 jsrain@suse.cz
- added suse_resgister to installation workflow
* Fri Feb 17 2006 jsrain@suse.cz
- integrated add-on product installation
* Tue Feb  7 2006 mvidner@suse.cz
- disable proposal with separate /home for SLES (fehr)
* Mon Jan 30 2006 jsrain@suse.cz
- removed desktop selection
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 jsrain@suse.cz
- Added networkmanager_proposal to the network proposal
- Generating autoinstallation profile is on by default (#144101)
* Fri Jan 20 2006 jsrain@suse.cz
- show the service proposal (#143339)
* Fri Jan 13 2006 jsrain@suse.cz
- run the desktop dialog (#142771)
* Mon Jan  9 2006 jsrain@suse.cz
- UI mode set to expert
* Thu Jan  5 2006 jsrain@suse.cz
- integrated iSCSI installation
- moved DASD and zFCP disks activation before installation mode
  selection
* Fri Dec 16 2005 jsrain@suse.cz
- added list of modules to offer to clone after the end of
  installation
* Fri Dec  2 2005 jsrain@suse.cz
- added control file variables network_manager_is_default,
  force_static_ip (mvidner)
* Mon Nov 28 2005 jsrain@suse.cz
- adjust default desktop as GNOME (#132491)
* Tue Nov 22 2005 jsrain@suse.cz
- added default desktop to control file
* Fri May 21 2004 nashif@suse.de
- Shutdown network before autoyast system configuration (#40981)
* Fri Apr 30 2004 nashif@suse.de
- readded vnc remote proposal to SLES workflow (bug #31023)
* Tue Apr 27 2004 nashif@suse.de
- ca proposal is called ca_mgm (arvin@suse.de)
* Fri Apr 16 2004 nashif@suse.de
- removed keyboard proposal from update proposal for the update
  in the running system (bug #37817)
- add "service" proposal to SLES installation
- removed remote proposal
* Tue Apr  6 2004 nashif@suse.de
- Added option for update/upgrade (set to true on SLES) (bug #38486)
- (arvin) symmetricalized calls to inst_netsetup (bug #37763)
* Thu Apr  1 2004 nashif@suse.de
- remove all the comments and noise
- remove internal and testing workflows
* Wed Mar 31 2004 nashif@suse.de
- disable desktop variable on SLES (use_desktop_scheduler set to
  false)
* Thu Mar 25 2004 nashif@suse.de
- Initial release
  * dont delete rpms
  * enable evms
  * disable autologin
